hpp-fcl: hpp::fcl::Contact Struct Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
hpp::fcl::Contact Struct Reference

Contact information returned by collision. More...

`#include <hpp/fcl/collision_data.h>`

## Public Member Functions
| Contact ()
| Default constructor. More...
| Contact (const CollisionGeometry *o1_, const CollisionGeometry *o2_, int b1_, int b2_)
| Contact (const CollisionGeometry *o1_, const CollisionGeometry *o2_, int b1_, int b2_, const Vec3f &pos_, const Vec3f &normal_, FCL_REAL depth_)
bool | operator< (const Contact &other) const
bool | operator== (const Contact &other) const
bool | operator!= (const Contact &other) const

## Public Attributes
const CollisionGeometry * | o1
| collision object 1 More...
const CollisionGeometry * | o2
| collision object 2 More...
int | b1
| contact primitive in object 1 if object 1 is mesh or point cloud, it is the triangle or point id if object 1 is geometry shape, it is NONE (-1), if object 1 is octree, it is the id of the cell More...
int | b2
| contact primitive in object 2 if object 2 is mesh or point cloud, it is the triangle or point id if object 2 is geometry shape, it is NONE (-1), if object 2 is octree, it is the id of the cell More...
Vec3f | normal
| contact normal, pointing from o1 to o2 More...
Vec3f | pos
| contact position, in world space More...
FCL_REAL | penetration_depth
| penetration depth More...

## Static Public Attributes
static const int | NONE = -1
| invalid contact primitive information More...

## Detailed Description

Contact information returned by collision.

## Constructor & Destructor Documentation

## ◆ Contact() [1/3]

hpp::fcl::Contact::Contact | ( |  | ) |
| inline

Default constructor.

## ◆ Contact() [2/3]

hpp::fcl::Contact::Contact | ( | const CollisionGeometry * | o1_,
|  | const CollisionGeometry * | o2_,
|  | int | b1_,
|  | int | b2_
| ) |  |
| inline

## ◆ Contact() [3/3]

hpp::fcl::Contact::Contact | ( | const CollisionGeometry * | o1_,
|  | const CollisionGeometry * | o2_,
|  | int | b1_,
|  | int | b2_,
|  | const Vec3f & | pos_,
|  | const Vec3f & | normal_,
|  | FCL_REAL | depth_
| ) |  |
| inline

## Member Function Documentation

## ◆ operator!=()

bool hpp::fcl::Contact::operator!= | ( | const Contact & | other | ) | const
| inline

## ◆ operator<()

bool hpp::fcl::Contact::operator< | ( | const Contact & | other | ) | const
| inline

## ◆ operator==()

bool hpp::fcl::Contact::operator== | ( | const Contact & | other | ) | const
| inline

## Member Data Documentation

## ◆ b1

int hpp::fcl::Contact::b1

contact primitive in object 1 if object 1 is mesh or point cloud, it is the triangle or point id if object 1 is geometry shape, it is NONE (-1), if object 1 is octree, it is the id of the cell

## ◆ b2

int hpp::fcl::Contact::b2

contact primitive in object 2 if object 2 is mesh or point cloud, it is the triangle or point id if object 2 is geometry shape, it is NONE (-1), if object 2 is octree, it is the id of the cell

## ◆ NONE

const int hpp::fcl::Contact::NONE = -1
| static

invalid contact primitive information

## ◆ normal

Vec3f hpp::fcl::Contact::normal

contact normal, pointing from o1 to o2

## ◆ o1

const CollisionGeometry* hpp::fcl::Contact::o1

collision object 1

## ◆ o2

const CollisionGeometry* hpp::fcl::Contact::o2

collision object 2

## ◆ penetration_depth

FCL_REAL hpp::fcl::Contact::penetration_depth

penetration depth

## ◆ pos

Vec3f hpp::fcl::Contact::pos

contact position, in world space

The documentation for this struct was generated from the following file:

- include/hpp/fcl/collision_data.h